VirtualService (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.VirtualService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip
Interface VirtualService

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  BigIPVirtualService

    public interface VirtualService

extends LogicalElement

Virtual service used by a vip

Author:
  johan
Naming Rules:
  0="parent,virtualPort,virtualPortType"
Persistable:
  true
Table Name:
  VIRTSRVC
Display Name:
  virtualPortType,virtualPort

Field Summary
`static int` | `ANY_PORT` Wildcard for port mapping
`static int` | `TYPE_TCP`
`static int` | `TYPE_TCP_OR_UDP`
`static int` | `TYPE_UDP`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`Vip` | `getParent()` Vip that this virtual service belongs to
`RealServerGroup` | `getRealServerGroup()` Group of real servers that implement this virtual service
`int` | `getVirtualPort()` Virtual port that is being mapped Has the value of ANY_PORT if there is only layer 3 mapping going on
`int` | `getVirtualPortType()` Port type
`boolean` | `hasParent()`
`boolean` | `hasRealServerGroup()`
`boolean` | `hasVirtualPort()`
`boolean` | `hasVirtualPortType()`
`void` | `setParent(Vip parent)`
`void` | `setRealServerGroup(RealServerGroup group)`
`void` | `setVirtualPort(int port)`
`void` | `setVirtualPortType(int type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### ANY_PORT

    static final int ANY_PORT

  Wildcard for port mapping

  See Also:
    Constant Field Values

### TYPE_TCP

    static final int TYPE_TCP

See Also:
  Constant Field Values

### TYPE_UDP

    static final int TYPE_UDP

See Also:
  Constant Field Values

### TYPE_TCP_OR_UDP

    static final int TYPE_TCP_OR_UDP

See Also:
  Constant Field Values

Method Detail

### getParent

    Vip getParent()
                  throws AttributeNotSetException

  Vip that this virtual service belongs to

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(Vip parent)

### hasParent

    boolean hasParent()

### getVirtualPort

    int getVirtualPort()
                       throws AttributeNotSetException

  Virtual port that is being mapped Has the value of ANY_PORT if there is only layer 3 mapping going on

  Throws:
    `AttributeNotSetException`

### setVirtualPort

    void setVirtualPort(int port)

### hasVirtualPort

    boolean hasVirtualPort()

### getVirtualPortType

    int getVirtualPortType()
                           throws AttributeNotSetException

  Port type

  Throws:
    `AttributeNotSetException`

### setVirtualPortType

    void setVirtualPortType(int type)

### hasVirtualPortType

    boolean hasVirtualPortType()

### getRealServerGroup

    RealServerGroup getRealServerGroup()
                                       throws AttributeNotSetException

  Group of real servers that implement this virtual service

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setRealServerGroup

    void setRealServerGroup(RealServerGroup group)

### hasRealServerGroup

    boolean hasRealServerGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD